Bug 165294 - Java process segmentation fault crash
Summary: Java process segmentation fault crash
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-07 07:09 UTC by y360
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 18:18:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
JVM crash log (15.82 KB, text/plain)
2005-08-07 07:09 UTC, y360
no flags Details

Description y360 2005-08-07 07:09:34 UTC
Created attachment 117521 [details]
JVM crash log

Comment 1 y360 2005-08-07 07:09:34 UTC
Description of problem:
JVM 1.4.2_08 process crash

Version-Release number of selected component (if applicable):
EL4 Update 1 with hugemem kernel 2.6.9-11

We have a Java process (JBoss application server) that persistently crashes
every day or two with segmentation fault.
We have a core dump if that's of any use. We have no way to reproduce.

Comment 2 y360 2005-08-07 12:57:37 UTC
Correction: The machine has 1GB RAM and is running the normal kernel, not hugemem

Comment 4 Jason Baron 2005-08-12 15:13:01 UTC
Can you please try the update 2 beta kernel? There have been a number of fixes.
thanks. http://people.redhat.com/~jbaron/rhel4/

Comment 5 y360 2005-08-30 12:26:49 UTC
Same crash on update 2 regular kernel as well.

Running jdk 1.4 on update 1 hugemem kernel is ok.
Running jdk 1.5 on update 1 regular kernel is ok.

The crash is therefore limited to jdk 1.4 on regular kernel update 1 & 2.

Comment 6 Richard Li 2005-11-07 20:37:37 UTC
Which JVM? Have you tried a JVM from a different vendor?

Comment 7 Richard Li 2005-11-07 20:40:07 UTC
Possibly related: bug 168911

Comment 8 y360 2005-11-09 08:11:45 UTC
Sun's JVM, we're pretty much locked to it at the moment

Comment 10 Richard Li 2005-12-16 14:32:48 UTC
Have you reported this issue with Sun? Our kernel maintainer does not think that
this is an issue with the kernel. We also do not have access to the Sun JVM
source code.

Comment 11 y360 2005-12-21 18:18:11 UTC
This may well be related to Sun's JVM, we're getting crashes on normal kernel of
EL3 as well, will follow up through Sun 


Note You need to log in before you can comment on or make changes to this bug.